#include <bindings.dsl.h>
#include <CoreServices/CoreServices.h>

module Bindings.CoreServices.CarbonCore.Finder where
#strict_import
import Bindings.CoreServices.CarbonCore.MacTypes

#num kClippingCreator
#num kClippingPictureType
#num kClippingTextType
#num kClippingSoundType
#num kClippingUnknownType

#num kInternetLocationCreator
#num kInternetLocationHTTP
#num kInternetLocationFTP
#num kInternetLocationFile
#num kInternetLocationMail
#num kInternetLocationNNTP
#num kInternetLocationAFP
#num kInternetLocationAppleTalk
#num kInternetLocationNSL
#num kInternetLocationGeneric

#num kCustomIconResource

#num kCustomBadgeResourceType
#num kCustomBadgeResourceID
#num kCustomBadgeResourceVersion

#starttype struct CustomBadgeResource
#  field version              , <SInt16>
#  field customBadgeResourceID, <SInt16>
#  field customBadgeType      , <OSType>
#  field customBadgeCreator   , <OSType>
#  field windowBadgeType      , <OSType>
#  field windowBadgeCreator   , <OSType>
#  field overrideType         , <OSType>
#  field overrideCreator      , <OSType>
#stoptype
#synonym_t CustomBadgeResourcePtr   , Ptr <CustomBadgeResource>
#synonym_t CustomBadgeResourceHandle, Ptr <CustomBadgeResourcePtr>

#num kRoutingResourceType
#num kRoutingResourceID

#starttype struct RoutingResourceEntry
#  field creator          , <OSType>
#  field fileType         , <OSType>
#  field targetFolder     , <OSType>
#  field destinationFolder, <OSType>
#  field reservedField    , <OSType>
#stoptype
#synonym_t RoutingResourcePtr   , Ptr <RoutingResourceEntry>
#synonym_t RoutingResourceHandle, Ptr <RoutingResourcePtr>

#num kContainerFolderAliasType
#num kContainerTrashAliasType
#num kContainerHardDiskAliasType
#num kContainerFloppyAliasType
#num kContainerServerAliasType
#num kApplicationAliasType
#num kContainerAliasType
#num kDesktopPrinterAliasType
#num kContainerCDROMAliasType
#num kApplicationCPAliasType
#num kApplicationDAAliasType
#num kPackageAliasType
#num kAppPackageAliasType

#num kSystemFolderType
#num kAppleMenuFolderAliasType
#num kStartupFolderAliasType
#num kPrintMonitorDocsFolderAliasType
#num kPreferencesFolderAliasType
#num kControlPanelFolderAliasType
#num kExtensionFolderAliasType

#num kExportedFolderAliasType
#num kDropFolderAliasType
#num kSharedFolderAliasType
#num kMountedFolderAliasType

#num kIsOnDesk
#num kColor
#num kIsShared
#num kHasNoINITs
#num kHasBeenInited
#num kHasCustomIcon
#num kIsStationery
#num kNameLocked
#num kHasBundle
#num kIsInvisible
#num kIsAlias

#num fOnDesk
#num fHasBundle
#num fInvisible

#num fTrash
#num fDesktop
#num fDisk

#num kExtendedFlagsAreInvalid
#num kExtendedFlagHasCustomBadge
#num kExtendedFlagObjectIsBusy
#num kExtendedFlagHasRoutingInfo

#num kFirstMagicBusyFiletype
#num kLastMagicBusyFiletype

#num kMagicBusyCreationDate

#starttype struct FileInfo
#  field fileType     , <OSType>
#  field fileCreator  , <OSType>
#  field finderFlags  , <UInt16>
#  field location     , <Point>
#  field reservedField, <UInt16>
#stoptype

#starttype struct FolderInfo
#  field windowBounds , <Rect>
#  field finderFlags  , <UInt16>
#  field location     , <Point>
#  field reservedField, <UInt16>
#stoptype

#starttype struct ExtendedFileInfo
#  array_field reserved1    , <SInt16>
#  field extendedFinderFlags, <UInt16>
#  field reserved2          , <SInt16>
#  field putAwayFolderID    , <SInt32>
#stoptype

#starttype struct ExtendedFolderInfo
#  field scrollPosition     , <Point>
#  field reserved1          , <SInt32>
#  field extendedFinderFlags, <UInt16>
#  field reserved2          , <SInt16>
#  field putAwayFolderID    , <SInt32>
#stoptype

#starttype struct FInfo
#  field fdType    , <OSType>
#  field fdCreator , <OSType>
#  field fdFlags   , <UInt16>
#  field fdLocation, <Point>
#  field fdFldr    , <SInt16>
#stoptype

#starttype struct FXInfo
#  field fdIconID , <SInt16>
#  array_field fdReserved, <SInt16>
#  field fdScript , <SInt8>
#  field fdXFlags , <SInt8>
#  field fdComment, <SInt16>
#  field fdPutAway, <SInt32>
#stoptype

#starttype struct DInfo
#  field frRect    , <Rect>
#  field frFlags   , <UInt16>
#  field frLocation, <Point>
#  field frView    , <SInt16>
#stoptype

#starttype struct DXInfo
#  field frScroll   , <Point>
#  field frOpenChain, <SInt32>
#  field frScript   , <SInt8>
#  field frXFlags   , <SInt8>
#  field frComment  , <SInt16>
#  field frPutAway  , <SInt32>
#stoptype
